%global namedreltag .Beta3
%global namedversion %{version}%{?namedreltag}

Name:          papaki
Version:       1.0.0
Release:       %mkrel 7
Summary:       An annotation scanner and repository
Group:         Development/Java
License:       LGPLv2+
Url:           https://developer.jboss.org/wiki/PapakiAnnotationScanningRequirements
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/annotations/tags/PAPAKI_1_0_0_BETA3/ papaki-1.0.0.Beta3
# find papaki-1.0.0.Beta3 -name '*.jar' -delete
# find papaki-1.0.0.Beta3 -name '*.bat' -delete
# tar czf papaki-1.0.0.Beta3-src-svn.tar.gz papaki-1.0.0.Beta3
Source0:       papaki-%{namedversion}-src-svn.tar.gz

Source1:       papaki-core-%{namedversion}.pom
Source2:       papaki-indexer-%{namedversion}.pom

Patch0:        papaki-1.0.0.Beta3-remove-ivy.patch
# remove classpath from manifests
# fix papaki-indexer main class
Patch1:        papaki-1.0.0.Beta3-fix-manifests.patch
# add apiviz system path and its deps
Patch2:        papaki-1.0.0.Beta3-fix-javadoc.patch

Patch3:        papaki-1.0.0.Beta3-merge-javadoc.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apiviz
BuildRequires: javassist
BuildRequires: jdepend
BuildRequires: junit

Requires:      javassist
Requires:      jpackage-utils

%description
Papaki provides a mechanism for scanning archives
for annotations and presenting them in a repository.
The project also includes various tools to work
with annotations.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build

%{ant} docs test

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-core.jar %{buildroot}%{_javadir}/
install -pm 644 target/%{name}-indexer.jar %{buildroot}%{_javadir}/

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}-core.pom
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}-indexer.pom
%add_maven_depmap JPP-%{name}-indexer.pom %{name}-indexer.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/docs/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc README.txt

%files javadoc
%{_javadocdir}/%{name}/
%doc README.txt


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 952142
- Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 1.0.0-6.mga5
+ Revision: 811139
- use .mfiles generated during build
- update BuildRequires and Requires
- fix Group
- update Url

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 746741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 683331
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 508899
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 362388
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 gil <gil> 1.0.0-1.mga3
+ Revision: 263070
- imported package papaki

